Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata.jaxrpcmapping
Class ServiceEndpointInterfaceMapping

    java.lang.Object
      org.jboss.webservice.metadata.jaxrpcmapping.ServiceEndpointInterfaceMapping

public class ServiceEndpointInterfaceMapping
extends Object

XML mapping of the java-wsdl-mapping/service-endpoint-interface-mapping element.

Since:
  14-May-2004
Author:
  Thomas.Diesler@jboss.org

Constructor Summary
`ServiceEndpointInterfaceMapping(JavaWsdlMapping javaWsdlMapping)`

Method Summary
`void` | `addServiceEndpointMethodMapping(ServiceEndpointMethodMapping serviceEndpointMethodMapping)`
`JavaWsdlMapping` | `getJavaWsdlMapping()`
`String` | `getServiceEndpointInterface()`
`ServiceEndpointMethodMapping` | `getServiceEndpointMethodMappingByWsdlOperation(String wsdlOperation)`
`ServiceEndpointMethodMapping[]` | `getServiceEndpointMethodMappings()`
`javax.xml.namespace.QName` | `getWsdlBinding()`
`javax.xml.namespace.QName` | `getWsdlPortType()`
`void` | `setServiceEndpointInterface(String serviceEndpointInterface)`
`void` | `setWsdlBinding(javax.xml.namespace.QName wsdlBinding)`
`void` | `setWsdlPortType(javax.xml.namespace.QName wsdlPortType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceEndpointInterfaceMapping

    public ServiceEndpointInterfaceMapping(JavaWsdlMapping javaWsdlMapping)

Method Detail

### getJavaWsdlMapping

    public JavaWsdlMapping getJavaWsdlMapping()

### getServiceEndpointInterface

    public String getServiceEndpointInterface()

### setServiceEndpointInterface

    public void setServiceEndpointInterface(String serviceEndpointInterface)

### getWsdlPortType

    public javax.xml.namespace.QName getWsdlPortType()

### setWsdlPortType

    public void setWsdlPortType(javax.xml.namespace.QName wsdlPortType)

### getWsdlBinding

    public javax.xml.namespace.QName getWsdlBinding()

### setWsdlBinding

    public void setWsdlBinding(javax.xml.namespace.QName wsdlBinding)

### getServiceEndpointMethodMappings

    public ServiceEndpointMethodMapping[] getServiceEndpointMethodMappings()

### addServiceEndpointMethodMapping

    public void addServiceEndpointMethodMapping(ServiceEndpointMethodMapping serviceEndpointMethodMapping)

### getServiceEndpointMethodMappingByWsdlOperation

    public ServiceEndpointMethodMapping getServiceEndpointMethodMappingByWsdlOperation(String wsdlOperation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.